import { _decorator, Component, Node, assetManager, AssetManager } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('S')
export class S extends Component {
    start() {

    }

    update(deltaTime: number) {
        
    }

    T1(){
        /**
         * T1加载失败
         */

        let url = "https://dlxsd.oss-cn-beijing.aliyuncs.com/T1";
        let version = "da005";

        console.log(`T1 === ${url} === ${version}`);
        assetManager.loadBundle(url, {version}, (err, bundle: AssetManager.Bundle) => {
            if(err){
                console.log(err);
                return;
            }

            console.log(bundle);
        })

       
    }

    T2(){
        /**
         * T2 加载成功
         */
        let url = "https://dlxsd.oss-cn-beijing.aliyuncs.com/T2";
        let version = "d3207";

        console.log(`T2 === ${url} === ${version}`);
        assetManager.loadBundle(url, {version}, (err, bundle: AssetManager.Bundle) => {
            if(err){
                console.log(err);
                return;
            }

            console.log(bundle);
        })
    }
}


